Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List all players in the organization.
cURL
curl --request GET \ --url https://api.squadvault.xyz/v1/players/{organizationId} \ --header 'x-api-key: <api-key>'
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}}; fetch('https://api.squadvault.xyz/v1/players/{organizationId}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.squadvault.xyz/v1/players/{organizationId}" headers = {"x-api-key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
200
Example
{ "items": [ { "id": "<string>", "organizationId": "<string>", "userId": "<string>", "name": "<string>", "role": "<string>", "mainGame": "cs", "nationality": "de", "discordUserId": "<string>", "discordUsername": "<string>", "archivedAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "gamerTagCount": 123, "teamCount": 123, "gamerTags": [ { "id": "<string>", "organizationId": "<string>", "playerId": "<string>", "game": "cs", "gamerTag": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "teams": [ { "id": "<string>", "name": "<string>", "game": "cs" } ] } ], "pagination": { "hasMore": true, "limit": 123, "offset": 123, "total": 123 } }
Organization API key from Settings → API keys.
Organization ID. Must match the API key's organization.
1 <= x <= 250
x >= 0
summary
full
picker
Set to true to include archived players.
true
false
Filter by Discord snowflake user ID (exact match).
Paginated player list
Show child attributes
Was this page helpful?